Subject: Re: A Public NNCP relay

From: "Shawn K. Quinn" <[email-masked]>
Date: Fri, 30 Jul 2021 00:52:59 -0500

On 7/28/21 19:41, John Goerzen wrote:
> I am contemplating setting up an experimental public NNCP relay for 
> people.  I would like to hear thoughts on this: would anyone be 
> interested, what do you think of the plan, etc.

I like the idea, and would be quite interested.

> I've done some experimentation with using Syncthing as a transport 
> for NNCP packets (generally with nncp-xfer but nncp-bundle can also 
> work). This is a pretty interesting transport, since it is fully 
> distributed already and runs on Android phones too. A phone can 
> literally be the carrier between two remote sites -- get in range of 
> the local wifi, Syncthing syncs up, NNCP sees packets, and boom! 
> Content processed.
>
> I think, though, that Syncthing doesn't really lend itself to
> untrusted members in the mesh, at least not in the way we'd need for
> NNCP.

I've played with Syncthing a bit. The disadvantage of trying to use
Syncthing for this is you need to be running nncp-xfer or nncp-bundle
every so often on the Syncthing directory. There are some good use cases
for Syncthing but this strikes me as a tight fit if not an outright misfit.

I think a better solution is an NNCP node running on the phone itself,
perhaps with some kind of GUI front-end to facilitate doing certain
operations manually.

-- 
Shawn K. Quinn <[email-masked]>
http://www.rantroulette.com
http://www.skqrecordquest.com